<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="c750b5204b29d590" weblate-flags="read-only, safe-html, strict-same">
        <source>= Comparison to Other Libraries</source>
        <target state="translated">= Comparison to Other Libraries</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a9318ac7bfb72b99" weblate-flags="read-only, safe-html, strict-same">
        <source>:icon_good: pass:q[[.green]##&amp;#10004##] :icon_bad:  pass:q[[.red]##&amp;#10008##]</source>
        <target state="translated">:icon_good: pass:q[[.green]##&amp;#10004##] :icon_bad:  pass:q[[.red]##&amp;#10008##]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">14</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="114c6d20f1a47e84" weblate-flags="read-only, safe-html, strict-same">
        <source>There exist many C++ JSON libraries, but two are particularly noteworthy for the purpose of comparison: https://rapidjson.org/[RapidJSON], https://nlohmann.github.io/json/[JSON for Modern {cpp}] (referred to herein as nlohmann's JSON, or nlohmann), and https://github.com/lemire/simdjson[SIMD JSON].</source>
        <target state="translated">There exist many C++ JSON libraries, but two are particularly noteworthy for the purpose of comparison: https://rapidjson.org/[RapidJSON], https://nlohmann.github.io/json/[JSON for Modern {cpp}] (referred to herein as nlohmann's JSON, or nlohmann), and https://github.com/lemire/simdjson[SIMD JSON].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fce02852d1240e91" weblate-flags="read-only, safe-html, strict-same">
        <source>Comparison to nlohmann JSON</source>
        <target state="translated">Comparison to nlohmann JSON</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b6059c28880a3da9" weblate-flags="read-only, safe-html, strict-same">
        <source>Value Type: https://github.com/nlohmann/json/blob/00cb98a3d170161711ab912ae6acefba31f29f75/include/nlohmann/json.hpp#L165[`nlohmann::basic_json`]</source>
        <target state="translated">Value Type: https://github.com/nlohmann/json/blob/00cb98a3d170161711ab912ae6acefba31f29f75/include/nlohmann/json.hpp#L165[`nlohmann::basic_json`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="70224f366160af15" weblate-flags="read-only, safe-html, strict-same">
        <source>This library adopts a "kitchen sink" approach. It contains a wealth of features, even those with niche uses. Its weakness is that the many template parameters, while allowing for configurability, inhibit the best possible optimizations. The consequence is that the library performs poorly. The ability to configure every aspect of the value type has the paradoxical effect of making it less suitable as a vocabulary type.</source>
        <target state="translated">This library adopts a "kitchen sink" approach. It contains a wealth of features, even those with niche uses. Its weakness is that the many template parameters, while allowing for configurability, inhibit the best possible optimizations. The consequence is that the library performs poorly. The ability to configure every aspect of the value type has the paradoxical effect of making it less suitable as a vocabulary type.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">50</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="daea0a68a7f8afea" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} `basic_json` is a class template. Libraries must agree on the</source>
        <target state="translated">{icon_bad} `basic_json` is a class template. Libraries must agree on the</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91cde781fc845b97" weblate-flags="read-only, safe-html, strict-same">
        <source>choices of template parameters to be interoperable.</source>
        <target state="translated">choices of template parameters to be interoperable.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">58</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ecddc712b7c98d8b" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Too much customization. We struggle to see a use case for making</source>
        <target state="translated">{icon_bad} Too much customization. We struggle to see a use case for making</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">60</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dc85d59e7fb2dd15" weblate-flags="read-only, safe-html, strict-same">
        <source>`BooleanType` anything other than `bool`.</source>
        <target state="translated">`BooleanType` anything other than `bool`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ce32fb70a726649a" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Poor separation of concerns. The `basic_json` container</source>
        <target state="translated">{icon_bad} Poor separation of concerns. The `basic_json` container</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">63</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a8d7191d365253b4" weblate-flags="read-only, safe-html, strict-same">
        <source>declaration needlessly conflates parsing and serialization APIs.</source>
        <target state="translated">declaration needlessly conflates parsing and serialization APIs.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">64</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="de02541b1676872a" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Limited allocator support. Only stateless allocators are allowed,</source>
        <target state="translated">{icon_bad} Limited allocator support. Only stateless allocators are allowed,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">66</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4517d1e68f0828fc" weblate-flags="read-only, safe-html, strict-same">
        <source>which rules out the most important type of allocator, a local arena-based implementation.</source>
        <target state="translated">which rules out the most important type of allocator, a local arena-based implementation.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">67</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":70" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} No incremental parsing, no incremental serialization.</source>
        <target state="translated">{icon_bad} No incremental parsing, no incremental serialization.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">70</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cbcafc756079b17f" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Slow parsing and serialization performance.</source>
        <target state="translated">{icon_bad} Slow parsing and serialization performance.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">72</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cb1273ebc6624b3b" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_good} Full-featured, including JSON Pointer, CBOR, and others.</source>
        <target state="translated">{icon_good} Full-featured, including JSON Pointer, CBOR, and others.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">74</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b5d0f86d4a4a515b" weblate-flags="read-only, safe-html, strict-same">
        <source>Comparison to RapidJSON</source>
        <target state="translated">Comparison to RapidJSON</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">76</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a479155a38dac5e0" weblate-flags="read-only, safe-html, strict-same">
        <source>Value Type: https://github.com/Tencent/rapidjson/blob/bb5f966b9939d6cdfbac3462a0410e185099b3af/include/rapidjson/document.h#L608[`rapidjson::GenericValue`]</source>
        <target state="translated">Value Type: https://github.com/Tencent/rapidjson/blob/bb5f966b9939d6cdfbac3462a0410e185099b3af/include/rapidjson/document.h#L608[`rapidjson::GenericValue`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">78</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="22c39d4e544f804c" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} The value type is not regular. Assignment is destructive,</source>
        <target state="translated">{icon_bad} The value type is not regular. Assignment is destructive,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">93</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="134e314e8af5e432" weblate-flags="read-only, safe-html, strict-same">
        <source>performing `a = b` is equivalent to `a = std::move(b)`. No copy construction or copy assignment allowed.</source>
        <target state="translated">performing `a = b` is equivalent to `a = std::move(b)`. No copy construction or copy assignment allowed.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">94</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f16309389f6edcc2" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Object types have no hash table or index to reduce the cost of</source>
        <target state="translated">{icon_bad} Object types have no hash table or index to reduce the cost of</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">97</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7986c3c170ad5e46" weblate-flags="read-only, safe-html, strict-same">
        <source>lookups.</source>
        <target state="translated">lookups.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">98</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="27c460539ca9e704" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Allocators have reference semantics. Problems with lifetime are</source>
        <target state="translated">{icon_bad} Allocators have reference semantics. Problems with lifetime are</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">100</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8f2d3ccba9d5e378" weblate-flags="read-only, safe-html, strict-same">
        <source>easily encountered.</source>
        <target state="translated">easily encountered.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">101</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b00cce84988b371" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} The interface of the array and object types are considerably</source>
        <target state="translated">{icon_bad} The interface of the array and object types are considerably</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">103</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63885f566811c333" weblate-flags="read-only, safe-html, strict-same">
        <source>different from their standard library equivalents, and not idiomatic.</source>
        <target state="translated">different from their standard library equivalents, and not idiomatic.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">104</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":106" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} No incremental parsing, no incremental serialization.</source>
        <target state="translated">{icon_bad} No incremental parsing, no incremental serialization.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">106</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2073e6dac7d05c04" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_good} Parsing and serialization performance is better than most other</source>
        <target state="translated">{icon_good} Parsing and serialization performance is better than most other</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6a8b3a96d0ee545d" weblate-flags="read-only, safe-html, strict-same">
        <source>libraries.</source>
        <target state="translated">libraries.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">109</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="31369b50873b1a79" weblate-flags="read-only, safe-html, strict-same">
        <source>Comparison to SIMD JSON</source>
        <target state="translated">Comparison to SIMD JSON</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">111</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="318526c9f32eaba8" weblate-flags="read-only, safe-html, strict-same">
        <source>This is quite an interesting data structure, which is optimized to work well with the SIMD parser. It makes very good design choices for the intended use-case. However it is not well suited as a vocabulary type due to the necessary limitations.</source>
        <target state="translated">This is quite an interesting data structure, which is optimized to work well with the SIMD parser. It makes very good design choices for the intended use-case. However it is not well suited as a vocabulary type due to the necessary limitations.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">118</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7679dcd23f42ab23" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Sequential access only, via `ParsedJson::BasicIterator`</source>
        <target state="translated">{icon_bad} Sequential access only, via `ParsedJson::BasicIterator`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">123</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ee3d33d68b751cb3" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_bad} Read-only, can only be populated by the provided SIMD JSON parser.</source>
        <target state="translated">{icon_bad} Read-only, can only be populated by the provided SIMD JSON parser.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">125</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2cfbe15352835a85" weblate-flags="read-only, safe-html, strict-same">
        <source>{icon_good} The fastest available JSON parser.</source>
        <target state="translated">{icon_good} The fastest available JSON parser.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">127</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
